#
# Makefile for E!Kit-1100 self environment
#

CC      = gcc -g -Wall
COPTS   = -I/usr/src/linux-`uname -r`/include
KOPTS   = -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing \
 -fno-common -fomit-frame-pointer \
 -G0 -fno-pic -mno-abicalls -mlong-calls -mcpu=r4600 -mips2 \
 -I/usr/src/linux-`uname -r`/include/asm \
 -nostdinc -iwithprefix include \
 -DMODULE  -D__KERNEL__ -DKBUILD_BASENAME=$* -DKBUILD_MODNAME=$*

CFLAGS  = $(COPTS) $(KOPTS) -pipe
TARGETS = fpga.o

all:    $(TARGETS)

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $<

debug: fpga.c
	$(CC) -DDEBUG $(CFLAGS) -c -o fpga-debug.o fpga.c

clean:
	rm -f *.o *~ $(TARGETS)
